devguard
EvidenceUrlsUrlid

Edit an external link. A changed URL supersedes the link and needs approval again.

PATCH
/evidence/urls/{urlId}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

urlId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/evidence/urls/string/" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string",    "url": "http://example.com"  }'
{  "id": "string",  "organizationId": "string",  "evidenceId": "string",  "url": "string",  "title": "string",  "createdBy": "string",  "createdByName": "string",  "createdAt": "string",  "updatedAt": "string",  "supersededAt": "string",  "supersededById": "string",  "supersededByName": "string",  "approvalId": "string"}

How is this guide?